- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates a notification config. The following update fields are allowed: description, pubsubTopic, streamingConfig.filter
HTTP request
PATCH https://securitycenter.googleapis.com/v1/{notificationConfig.name=projects/*/notificationConfigs/*} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
notificationConfig.name |
The relative resource name of this notification config. See: https://cloud.google.com/apis/design/resource_names#relative_resource_name Example: "organizations/{organizationId}/notificationConfigs/notify_public_bucket", "folders/{folder_id}/notificationConfigs/notify_public_bucket", or "projects/{projectId}/notificationConfigs/notify_public_bucket". |
Query parameters
| Parameters | |
|---|---|
updateMask |
The FieldMask to use when updating the notification config. If empty all mutable fields will be updated. |
Request body
The request body contains an instance of NotificationConfig.
Response body
If successful, the response body contains an instance of NotificationConfig.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/securitycenter
For more information, see the Authentication Overview.